View Issue Details

IDProjectCategoryView StatusLast Update
0006662Talerexchangepublic2021-09-02 18:14
ReporterChristian Grothoff Assigned ToChristian Grothoff  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006662: add versioning and other meta data to JSON exchanged between taler-{exchange,auditor}-offline tools
DescriptionBasically, the existing JSON-keys could carry an additional -VERSION number.
Also, there is no good meta data on which tool/stage generated the JSON, and especially for the /keys inputs we just dump what we received from the network. Would be good to attach a bit more information. We should also use/check the protocol version of /keys nicely.
TagsNo tags attached.

Activities

Christian Grothoff

2020-12-19 17:36

manager   ~0017218

Fixed in b1e305fb..0ad6cb0a

Christian Grothoff

2021-09-02 18:14

manager   ~0018242

Fix committed to master branch.

Related Changesets

exchange: master 0ad6cb0a

2020-12-19 17:36:10

Christian Grothoff

Details Diff
fix 0006662: add versioning information to JSON exchanged between taler-exchange-offline invocations Affected Issues
0006662
mod - src/exchange-tools/taler-auditor-offline.c Diff File
mod - src/exchange-tools/taler-exchange-offline.c Diff File

Issue History

Date Modified Username Field Change
2020-12-06 12:32 Christian Grothoff New Issue
2020-12-06 12:32 Christian Grothoff Status new => assigned
2020-12-06 12:32 Christian Grothoff Assigned To => Christian Grothoff
2020-12-19 17:36 Christian Grothoff Status assigned => resolved
2020-12-19 17:36 Christian Grothoff Resolution open => fixed
2020-12-19 17:36 Christian Grothoff Fixed in Version => 0.9
2020-12-19 17:36 Christian Grothoff Note Added: 0017218
2020-12-19 17:36 Christian Grothoff Target Version => 0.9
2021-07-30 13:57 Christian Grothoff Fixed in Version 0.9 => 0.8.1
2021-07-30 13:59 Christian Grothoff Target Version 0.9 => 0.8.1
2021-07-30 14:02 Christian Grothoff Fixed in Version 0.8.1 => 0.8
2021-07-30 14:02 Christian Grothoff Target Version 0.8.1 => 0.8
2021-08-24 16:23 Christian Grothoff Status resolved => closed
2021-09-02 18:13 Christian Grothoff Changeset attached => Taler-exchange master 0ad6cb0a
2021-09-02 18:14 Christian Grothoff Note Added: 0018242